Package org.opensaml.spring.credential

# Class AbstractX509CredentialFactoryBean

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<T>
org.opensaml.spring.credential.AbstractCredentialFactoryBean<BasicX509Credential>
org.opensaml.spring.credential.AbstractX509CredentialFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<BasicX509Credential>`, `InitializingBean`

Direct Known Subclasses:
  `BasicX509CredentialFactoryBean`, `X509InlineCredentialFactoryBean`

public abstract class AbstractX509CredentialFactoryBean extends AbstractCredentialFactoryBean<BasicX509Credential>
A factory bean to collect information to do with an X509 backed `BasicX509Credential`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Log.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractX509CredentialFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`protected BasicX509Credential`
`doCreateInstance()`
`protected abstract List<X509Certificate>`
`getCertificates()`
Get the configured certificates.
`protected abstract List<X509CRL>`
`getCRLs()`
Get the configured CRL list.
`protected abstract X509Certificate`
`getEntityCertificate()`
return the explicitly configured entity certificate.
`Class<BasicX509Credential>`
`getObjectType()`
`protected abstract PrivateKey`
`getPrivateKey()`
Get the configured private key.

### Methods inherited from class org.opensaml.spring.credential.AbstractCredentialFactoryBean

`getConfigDescription, getEntityID, getKeyNames, getPrivateKeyPassword, getUsageType, setConfigDescription, setEntityID, setKeyNames, setPrivateKeyPassword, setUsageType`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Log.

## Constructor Details

### AbstractX509CredentialFactoryBean

public AbstractX509CredentialFactoryBean()

## Method Details

### doCreateInstance

@Nonnull protected BasicX509Credential doCreateInstance() throws Exception

Specified by:
  `doCreateInstance` in class `AbstractComponentAwareFactoryBean<BasicX509Credential>`
Throws:
  `Exception`

### getObjectType

public Class<BasicX509Credential> getObjectType()

Specified by:
  `getObjectType` in interface `FactoryBean<BasicX509Credential>`
Specified by:
  `getObjectType` in class `AbstractFactoryBean<BasicX509Credential>`

### getEntityCertificate

@Nullable protected abstract X509Certificate getEntityCertificate()
return the explicitly configured entity certificate.

Returns:
  the certificate, or none if not configured.

### getCertificates

@Nonnull @NotEmpty protected abstract List<X509Certificate> getCertificates()
Get the configured certificates. This MUST include the entity certificate if it was configured.

Returns:
  the certificates.

### getPrivateKey

@Nullable protected abstract PrivateKey getPrivateKey()
Get the configured private key.

Returns:
  the key or null if non configured

### getCRLs

@Nullable protected abstract List<X509CRL> getCRLs()
Get the configured CRL list.

Returns:
  the crls or null